---
title: "Returns the configuration for the given newsletter client."
url: "https://developer.migros.ch/apis/newsletter-8/versions/1f672efd-f4cc-4c25-9f59-59ecc180902a/operations/get-newsletter-client"
---

> Full API specification: https://developer.migros.ch/apis/newsletter-8/versions/1f672efd-f4cc-4c25-9f59-59ecc180902a.md

# Returns the configuration for the given newsletter client. (deprecated)

`GET` `/migros/customers/subscriptions/v8/newsletter/clients/{client}`

Operation ID: `get-newsletter-client`

Returns the configuration for the given newsletter client.

## Path parameters

- `client` (string, required) - Name of the client.

## Query parameters

- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Newsletter
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/customers/subscriptions/v8/newsletter/clients/{client}:
    get:
      deprecated: true
      description: Returns the configuration for the given newsletter client.
      operationId: get-newsletter-client
      parameters:
        - description: Name of the client.
          in: path
          name: client
          required: true
          schema:
            type: string
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/NewsletterClientConfiguration"
          description: Returned when successful
      summary: Returns the configuration for the given newsletter client.
      tags:
        - Newsletter
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  parameters:
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  schemas:
    NewsletterClientConfiguration:
      description: A newsletter client configuration.
      properties:
        fields:
          description: Supported fields for the given newsletter client.
          items:
            $ref: "#/components/schemas/NewsletterClientConfigurationField"
          type: array
        name:
          type: string
      required:
        - name
      type: object
    NewsletterClientConfigurationField:
      description: A newsletter client field.
      properties:
        format:
          description: >-
            A regular expression describing the field's value format

            Example for validating a date:
            /^(19[0-9]{2}|2[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$/
          nullable: true
          type: string
        multi_value:
          description: Whether field supports multiple values or not.
          type: boolean
        name:
          description: Name of the field.
          type: string
        required:
          description: Whether field is required or not.
          type: boolean
      required:
        - name
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
